# Uses of Class
org.eclipse.jface.text.revisions.RevisionRange

Packages that use RevisionRange
Package
Description
org.eclipse.jface.text.revisions
Provides a revision model and a protocol to display revision information in a vertical ruler column.

## Uses of RevisionRange in org.eclipse.jface.text.revisions

Methods in org.eclipse.jface.text.revisions that return types with arguments of type RevisionRange
Modifier and Type
Method
Description
`List<RevisionRange>`
RevisionInformation.`getRanges()`
Returns the line ranges of this revision information.
`final List<RevisionRange>`
Revision.`getRegions()`
Returns the contained `RevisionRange`s adapted to the current diff state.